#include <windows.h>
extern "C" void user_start() {
  PTSTR cmdLine = GetCommandLine();
  TCHAR eoc = (*cmdLine == '"') ? '"' : ' ';
  do {
    cmdLine = CharNext(cmdLine);
  } while(*cmdLine != '\0' && *cmdLine != eoc);
  do {
    cmdLine = CharNext(cmdLine);
  } while(*cmdLine == ' ' || *cmdLine == '\t');
  STARTUPINFO si;
  ZeroMemory(&si, sizeof(si));
  si.cb = sizeof(si);
  si.dwFlags = STARTF_USESHOWWINDOW | STARTF_USESTDHANDLES;
  si.wShowWindow = SW_HIDE;
  si.hStdInput = GetStdHandle(STD_INPUT_HANDLE);
  si.hStdOutput = GetStdHandle(STD_OUTPUT_HANDLE);
  si.hStdError = GetStdHandle(STD_ERROR_HANDLE);
  PROCESS_INFORMATION pi;
  if (CreateProcess(NULL, cmdLine, NULL,
                    NULL, TRUE, CREATE_NO_WINDOW | DETACHED_PROCESS,
                    NULL, NULL, &si, &pi)) {
    WaitForSingleObject(pi.hProcess, INFINITE);
    CloseHandle(pi.hThread);
    CloseHandle(pi.hProcess);
  }
  ExitProcess(GetLastError());
}
